# death-swap

DeathSwap plugin for 1.19 Minecraft Java servers (Spigot/Paper)

## WARNING

This plugin is not configurable and makes several assumptions (as it was coded for a specific use case). These assumptions are:

- That the server the plugin is running on serves as a lobby for the game, and nothing else. This is because when starting a DeathSwap game all players on the server are automatically added to the game. This plugin is intended for multi-world networks (using BungeeCord for example) where one server would be the DeathSwap server and other servers would have other minigames/worlds/etc.

- That the default gamemode on said lobby is Adventure Mode. The plugin puts all players in Adventure Mode when returning them to the lobby.

## Usage

Build the plugin with Maven or download a .jar from the Releases section, and copy it to your server's plugins/ folder. Then, to start a game (2+ players required) run the command `/dswap overworld` (or `/dswap nether` to play in the Nether). This can be automated further using clickable signs/NPCs.

Every 30 seconds - 2:30 minutes, a swap will occur. There is a small chance that a swap will be canceled (around 1/6). A timer is displayed above the hotbar showing how much time has passed since the last swap.

Whenever a player dies/leaves the game, they will be transported back to the lobby. When only one player is remaining, that player will win and the game will end.

## License

Free and open-source software under the [BSD-2-Clause](LICENSE) license.