package eu.cloudapio.deathswap;

import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

public class DeathSwap extends JavaPlugin {
    public static DeathSwapGame game;

    public static JavaPlugin plugin;

    public static SwapNotifier notifier;
    public static SwapRunner runner;
    public static SwapTimeNotifier timeNotifier;

    @Override
    public void onEnable() {
        plugin = (JavaPlugin)this;

        game = new DeathSwapGame();

        notifier = new SwapNotifier();
        timeNotifier = new SwapTimeNotifier();
        runner = new SwapRunner();

        this.getCommand("dswap").setExecutor(new DeathSwapCommand());

        getServer().getPluginManager().registerEvents(new EventListener(), (Plugin)this);
    }

    @Override
    public void onDisable() {
    }
}
