package eu.cloudapio.deathswap;

import org.bukkit.ChatColor;
import org.bukkit.command.*;
import org.bukkit.entity.*;

public class DeathSwapCommand implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if(args.length != 1)
        {
            return false;
        }

        if (sender instanceof Player) {
            Player player = (Player) sender;

            int status = DeathSwap.game.start(args[0].equals("nether"));
            if(status == -1)
            {
                player.sendMessage(ChatColor.RED + "Not enough players to start a game.");
            } else if(status == -2)
            {
                player.sendMessage(ChatColor.RED + "A DeathSwap game is already in progress!");
            }
        }

        return true;
    }
}
