package eu.cloudapio.deathswap;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import net.md_5.bungee.api.ChatColor;
import net.md_5.bungee.api.ChatMessageType;
import net.md_5.bungee.api.chat.TextComponent;

public class SwapTimeNotifier implements Runnable {

    @Override
    public void run()
    {
        if(DeathSwap.game.isPlayingGame) {
            long secondsSinceLastSwap = DeathSwap.game.getTicksSinceLastSwap() / 20;
            boolean safe = secondsSinceLastSwap < DeathSwap.game.minSwapTime;

            TextComponent tc = new TextComponent(String.format("[%s] Time since last swap: %d s", safe ? "safe" : "unsafe", secondsSinceLastSwap));
            tc.setColor(safe ? ChatColor.GREEN : ChatColor.RED);

            for(Player p : DeathSwap.game.players)
            {
                p.spigot().sendMessage(ChatMessageType.ACTION_BAR, tc);
            }
        }

        Bukkit.getServer().getScheduler().runTaskLater(DeathSwap.plugin, DeathSwap.timeNotifier, 20);
    }
    
}
